-- Author: Michael Attig
-- Generated Automatically by GenHashValues.java
LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

PACKAGE analyzer_values IS

CONSTANT num_word_blocks    : INTEGER := 8;
CONSTANT num_hash_functions : INTEGER := 1;
CONSTANT num_hash_bits      : INTEGER := 17;
CONSTANT max_msg_length     : INTEGER := 10;
SUBTYPE analyzer_value_bits IS STD_LOGIC_VECTOR(num_hash_bits-1 DOWNTO 0);
TYPE a_byte_array IS ARRAY (7 DOWNTO 0) OF analyzer_value_bits;
TYPE a_row_array IS ARRAY (max_msg_length-1 DOWNTO 0) OF a_byte_array;

-- access ran by using analyzer(byte #)(bit#)
CONSTANT a_ran : a_row_array := 
(
( '0'&x"83b2", '1'&x"c2a4", '1'&x"265f", '0'&x"b257", '1'&x"876a", '0'&x"9197", '0'&x"439c", '0'&x"5516" ),  -- byte # 9
( '0'&x"a1cd", '1'&x"ff9e", '1'&x"3da1", '1'&x"aaa9", '0'&x"4e28", '0'&x"5f6c", '1'&x"b9ef", '0'&x"804a" ),  -- byte # 8
( '1'&x"959a", '1'&x"24d9", '0'&x"8374", '0'&x"5c5a", '1'&x"1f45", '0'&x"1e7f", '1'&x"0961", '1'&x"c2fd" ),  -- byte # 7
( '0'&x"fc1b", '0'&x"4820", '0'&x"c6a1", '0'&x"4a03", '1'&x"1df8", '1'&x"419f", '1'&x"66d0", '1'&x"0f30" ),  -- byte # 6
( '1'&x"4806", '0'&x"b8ac", '0'&x"c3f3", '1'&x"0e41", '1'&x"7504", '1'&x"25db", '0'&x"6ed5", '1'&x"8ea6" ),  -- byte # 5
( '1'&x"2e8c", '1'&x"206b", '1'&x"5a5d", '0'&x"6b74", '1'&x"1ee7", '0'&x"3e52", '1'&x"789e", '0'&x"526d" ),  -- byte # 4
( '0'&x"457c", '1'&x"f8e7", '0'&x"9f13", '0'&x"41a2", '1'&x"a47d", '0'&x"60b5", '1'&x"ddba", '1'&x"859c" ),  -- byte # 3
( '1'&x"fcd6", '1'&x"8dd8", '0'&x"9b82", '0'&x"4482", '1'&x"3c00", '1'&x"ac6b", '1'&x"40c4", '0'&x"3d2e" ),  -- byte # 2
( '0'&x"9dc1", '0'&x"4760", '1'&x"ff31", '1'&x"cbad", '1'&x"3276", '0'&x"065e", '1'&x"5cfa", '0'&x"7f0c" ),  -- byte # 1
( '0'&x"78f1", '0'&x"75e7", '1'&x"8f8e", '0'&x"96ff", '0'&x"0989", '1'&x"a372", '1'&x"68be", '1'&x"9a3d" )   -- byte # 0

);

END analyzer_values;
PACKAGE BODY analyzer_values IS
END analyzer_values;
